unit uverdoc;
{xDEFINE AYUDAS_VIEJAS}

interface

uses
  LCLIntf,
  SysUtils,
  usetlanguage,
  uConstantesSimSEE;

const
  marcadorNulo = '';
  URL_AYUDA_es = 'https://simsee.org/simsee/verdoc.php';
  URL_AYUDA_en = 'https://simsee.org/simsee/verdoc_en.php';



  //  URL_AYUDA = 'http://editorweb.localhost/ayuda.php';

procedure abrir_url(url: string);

procedure verdoc( seccion: integer; aClass: TClass; marcador: string = '' ); overload;
procedure verdoc( seccion: integer; topico: string; marcador: string = '' ); overload;
procedure verGoogleMap( Latitud, Longitud: double; z: integer );

procedure SistemaDeSoporteAUsuarios;

implementation


function URLEncode(Str: string): string;
var
  i: integer;
  res: string;
  c: char;
begin
  res:= '';

  for i:= 1 to Length(Str) do
  begin
    c:= Str[i];
    if ( c= ' ') then 
      res:= res + '+'
    else
      if c in ['A'..'Z','a'..'z','0'..'9','-','_','.','+'] then
        res:= res + c
      else
        res:= res + '%' + IntToHex(Ord(c),2);
  end;
  result:= res;
end;


procedure verdoc( seccion: integer; aClass: TClass; marcador: string);
begin
  verdoc( seccion, 'class-'+aClass.ClassName, marcador );
end;


procedure verdoc(seccion: integer; topico: string; marcador: string);
var
  parametros: String;
begin

  {$IFDEF AYUDAS_VIEJAS}
  parametros:= 'http://simsee.org/simsee/ayuda/ayuda.php?hid='+ urlencode(topico)
        +'&titulo=' +urlencode( topico )
        +'#'+urlencode(marcador);
 {$ELSE}

  if (idioma = '' ) or ( idioma = 'es' ) then
    parametros:= URL_AYUDA_es+'?topico='+ urlencode(topico)
      +'&idioma=' +urlencode( idioma )
  else
    parametros:= URL_AYUDA_en+'?topico='+ urlencode(topico)
      +'&idioma=' +urlencode( idioma );

  parametros:= parametros + '&seccion='+ IntToStr( seccion );

  if marcador <> '' then
     parametros:= parametros +'#'+marcador;

  {$ENDIF}
  OpenURL(pchar(parametros));
end;


procedure abrir_url(url: string);
begin
  OpenURL(pchar( url ));
end;



procedure verGoogleMap( Latitud, Longitud: double; z: integer );
var
  url: string;
begin
(*
  url:= 'http://maps.google.com/maps/ms?ie=UTF8&hl=es&msa=0&t=h&ll=';
  url:= url+ FloatToStrF( -Latitud, ffFixed, 9, 5 );
  url:= url+','+FloatToStrF( -Longitud, ffFixed, 9, 5 );
  url:= url+'&z='+IntToStr( z );
  *)

  url:= 'http://energiaenuruguay.com/mapa.php?Latitud=';
  url:= url+ urlencode( FloatToStrF( -Latitud, ffFixed, 9, 5 ));
  url:= url+'&Longitud='+ urlencode( FloatToStrF( -Longitud, ffFixed, 9, 5 ) );
  url:= url+'&z='+ urlencode( IntToStr( z ) );

  OpenURL(pchar(url));

end;


procedure SistemaDeSoporteAUsuarios;
var
  url: string;
begin
  url:= 'http://simsee.org/soporte';
  OpenURL(pchar(url));
end;


initialization
end.


